# ForwardFromChannelInfo - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message / ForwardFromChannelInfo

# ForwardFromChannelInfo

(common) `data class ForwardFromChannelInfo : ForwardInfo` (source)

### Constructors

(common)

#### <init>

`ForwardFromChannelInfo(dateOfOriginal: TelegramDate, messageId: MessageIdentifier, channelChat: ChannelChat, signature: String? = null)`

### Properties

(common)

#### channelChat

`val channelChat: ChannelChat`

(common)

#### dateOfOriginal

`val dateOfOriginal: TelegramDate`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### signature

`val signature: String?`